Bug 196970 - Cannot launch NB JNLP app under JDK 6u24
Cannot launch NB JNLP app under JDK 6u24
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Module System
6.x
PC Linux
: P2 (vote)
: 7.0
Assigned To: Jesse Glick
issues@platform
: 70_HR_FIX, JDK_SPECIFIC
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 15:26 UTC by Jesse Glick
Modified: 2011-03-25 10:43 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-03-22 15:26:23 UTC
Made a new empty NB app, JNLP > Run using JDK 6u24. Fails with:

java.lang.ClassCircularityError: org/openide/util/Utilities
	at org.netbeans.JarClassLoader$JarURLStreamHandler.openConnection(JarClassLoader.java:853)
	at org.netbeans.JarClassLoader$JarURLStreamHandler.openConnection(JarClassLoader.java:831)
	at java.net.URL.openConnection(URL.java:945)
	at com.sun.deploy.util.URLUtil.checkTargetURL(URLUtil.java:618)
	at com.sun.deploy.security.DeployURLClassPath$JarLoader.checkResource(DeployURLClassPath.java:784)
	at com.sun.deploy.security.DeployURLClassPath$JarLoader.getResource(DeployURLClassPath.java:904)
	at com.sun.deploy.security.DeployURLClassPath.getResource(DeployURLClassPath.java:231)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
	at com.sun.jnlp.JNLPClassLoader.findClass(JNLPClassLoader.java:332)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:296)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
	at org.netbeans.ProxyClassLoader.getResourcesImpl(ProxyClassLoader.java:437)
	at org.netbeans.ProxyClassLoader.getResources(ProxyClassLoader.java:408)
	at org.netbeans.MainImpl$BootClassLoader.<init>(MainImpl.java:251)
	at org.netbeans.MainImpl.execute(MainImpl.java:172)
	at org.netbeans.MainImpl.main(MainImpl.java:83)
	at org.netbeans.Main.main(Main.java:78)
	at org.netbeans.modules.apisupport.jnlplauncher.Main.main(Main.java:65)

Problem occurs using NB 6.9, 7.0 beta 1, or post-7.0 dev as a platform.

The same dist/jnlp/local/master.jnlp works using bin/javaws from JDK 6u23.
Comment 1 Jesse Glick 2011-03-22 15:27:51 UTC
TBD if the problem only occurs on Linux, etc.
Comment 2 Jesse Glick 2011-03-22 15:35:32 UTC
com.sun.deploy.util.URLUtil.checkTargetURL is new in u24; there is no changelog available on the download site so I am not sure what it is for.
Comment 3 Jesse Glick 2011-03-22 15:45:57 UTC
Seems that there is no reason to register JarClassLoader.JarURLStreamHandler in JNLP mode to begin with; module JARs are loaded via JNLPClassLoader.
Comment 4 Jesse Glick 2011-03-22 15:48:02 UTC
core-main #4dd4566e22ed
Comment 5 Marian Mirilovic 2011-03-22 16:25:23 UTC
Tomas, could you please help with verification? Thanks in advance.
Comment 6 Tomas Danek 2011-03-22 17:48:22 UTC
i was able to reproduce on my mac in old rc1 build. 
Verified in core-main build, jnlp nb app can be started ok:

Product Version: NetBeans IDE Dev (Build 20110322-a7f17b5deb8e)
Java: 1.6.0_24; Java HotSpot(TM) 64-Bit Server VM 19.1-b02-334
System: Mac OS X version 10.6.6 running on x86_64; MacRoman; en_US (nb)
Userdir: /tmp/ud1

can be integrated into release70.
Comment 7 Quality Engineering 2011-03-23 10:01:36 UTC
Integrated into 'main-golden', will be available in build *201103230400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4dd4566e22ed
User: Jesse Glick <jglick@netbeans.org>
Log: #196970: Cannot launch NB JNLP app under JDK 6u24
Comment 8 Jesse Glick 2011-03-23 12:08:10 UTC
releases #8a40d0a4d32c
Comment 9 Tomas Danek 2011-03-25 10:43:58 UTC
verified.

Product Version: NetBeans IDE 7.0 RC1 (Build 201103250000)
Java: 1.6.0_24; Java HotSpot(TM) 64-Bit Server VM 19.1-b02
System: Linux version 2.6.35-27-generic running on amd64; ANSI_X3.4-1968; en_US (nb)
Userdir: /home/tomas/.netbeans/7.0rc1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo